import React, { useState, } from "react";
import { percentEncodeParams } from "./utils";
function obfuscateEmail(email) {
    const [username, domain] = email.split("@");
    return (React.createElement(React.Fragment, null,
        React.createElement("style", { dangerouslySetInnerHTML: {
                __html: `
          a>span.roe::after {
            content: "@";
          }
        `,
            } }),
        username,
        React.createElement("span", { className: "roe" }),
        domain));
}
export function Email({ bcc = [], body = "", cc = [], children, email, subject = "", ...props }) {
    const [hovered, setHovered] = useState(false);
    const emailUrl = new URL(`mailto:${email}`);
    emailUrl.search = percentEncodeParams({ bcc, body, cc, subject });
    function handleHover() {
        setHovered(true);
    }
    const displayText = children || email;
    const obfuscatedText = children || obfuscateEmail(email);
    return (React.createElement("a", { href: hovered ? emailUrl.href : "#", onFocus: handleHover, onMouseOver: handleHover, ...props }, hovered ? displayText : obfuscatedText));
}
