function isValidStringParam(param) {
    const [, value] = param;
    return typeof value === "string" && value.length > 0;
}
function paramToStringParam([key, value]) {
    return Array.isArray(value) ? [key, value.join(",")] : [key, value];
}
export function percentEncodeParams(params) {
    return Object.entries(params)
        .map(paramToStringParam)
        .filter(isValidStringParam)
        .map(([key, value]) => `${key}=${encodeURIComponent(value)}`)
        .join("&");
}
